> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Image

> Retrieve queued images using the Fetch Queued Images API.

<Note>
  This endpoint does not generate new images, it returns already generated/queued images.
</Note>

## Request

Send a `POST` request to below endpoint to return the corresponding queued images. Where `{id}` is the ID returned together with the image URL in the response upon its generation..

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v6/image_editing/fetch/{id}' \
```

## Body

```curl curl theme={null}
{ 
    "key": ""
}
```


## OpenAPI

````yaml POST /image_editing/fetch/{id}
openapi: 3.1.0
info:
  title: ModelsLab Image Editing API
  description: >-
    Image editing endpoints for ModelsLab API including background removal,
    super resolution, face generation, fashion try-on, and various image
    manipulation tools
  license:
    name: MIT
  version: 6.0.0
servers:
  - url: https://modelslab.com/api/v6
    description: Image Editing API v6 server
security: []
paths:
  /image_editing/fetch/{id}:
    post:
      summary: Fetch queued images
      description: >-
        Fetch Queued Images API fetches queued images from stable diffusion
        processing
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the queued image request
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FetchRequest'
      responses:
        '200':
          description: Fetch queued images response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/FetchSuccessResponse'
                  - $ref: '#/components/schemas/FetchProcessingResponse'
                  - $ref: '#/components/schemas/ImageEditingErrorResponse'
components:
  schemas:
    FetchRequest:
      type: object
      required:
        - key
      properties:
        key:
          type: string
          description: Your API Key used for request authorization
    FetchSuccessResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
        id:
          type: integer
          description: Unique identifier for the generation request
        output:
          type: array
          items:
            type: string
            format: uri
          description: Array of generated image URLs
    FetchProcessingResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - processing
        message:
          type: string
          description: Processing status message
        output:
          type: string
          description: Empty string during processing
        tip:
          type: string
          description: Information about faster processing options
    ImageEditingErrorResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - error
        message:
          type: string
          description: Error message describing what went wrong

````